--- ./darcs.cabal.orig	2010-05-09 15:23:32.000000000 +0200
+++ ./darcs.cabal	2010-05-29 04:00:58.000000000 +0200
@@ -72,6 +72,14 @@
   type:     darcs
   location: http://darcs.net/
 
+flag executable
+  Description:   Build the darcs executable.
+  Default:       True
+
+flag library
+  Description:   Build the darcs library.
+  Default:       True
+
 flag curl
   description: Use libcurl for HTTP support.
 
@@ -308,6 +316,11 @@
                     src/Crypt/sha2.c
   cc-options:       -D_REENTRANT
 
+  if flag(library)
+    buildable:        True
+  else
+    buildable:        False
+
   if os(windows)
     hs-source-dirs: src/win32
     include-dirs:   src/win32
@@ -328,7 +341,7 @@
                    html         == 1.0.*,
                    filepath     == 1.1.*,
                    haskeline    >= 0.6.1 && < 0.7,
-                   hashed-storage == 0.4.13
+                   hashed-storage
 
   if !os(windows)
     build-depends: unix >= 1.0 && < 2.5
@@ -374,7 +387,7 @@
       buildable: False
 
   if flag(mmap) && !os(windows)
-    build-depends:    mmap >= 0.2 && < 0.5
+    build-depends:    mmap >= 0.2
     cpp-options:      -DHAVE_MMAP
 
   build-depends:    zlib >= 0.5.1.0 && < 0.6.0.0
@@ -437,6 +450,11 @@
 
   cc-options:       -D_REENTRANT
 
+  if flag(executable)
+    buildable:        True
+  else
+    buildable:        False
+
   if os(windows)
     hs-source-dirs: src/win32
     include-dirs:   src/win32
@@ -459,7 +477,7 @@
                    html         == 1.0.*,
                    filepath     == 1.1.*,
                    haskeline    >= 0.6.1 && < 0.7,
-                   hashed-storage == 0.4.13
+                   hashed-storage
 
   if !os(windows)
     build-depends: unix >= 1.0 && < 2.5
@@ -605,7 +623,7 @@
                    random     == 1.0.*
 
   if flag(mmap) && !os(windows)
-    build-depends:    mmap >= 0.2 && < 0.5
+    build-depends:    mmap >= 0.2
     cpp-options:      -DHAVE_MMAP
 
   build-depends:    zlib >= 0.5.1.0 && < 0.6.0.0
